Service Token
POST
https://sandbox-sts.ddp.akoya.com/oauth2/token
Use the service token endpoint to generate an access token which lasts for 24 hours.
The header must contain Basic Auth (your clientId and secret base64 encoded), and the body of the request requires the scope specifying the service. After the token expires, use this endpoint to generate a new one.
Form Data
Set the parameters used for your service token. Indicate "grant_type = client credentials" and specify the scope of the token for the Akoya service you're using. For instance, for the Akoya Management API, scope=app_management_v2 or for the Notifications API, notifications_subscriptions advisory.
grant_type*
Default
client_credentials
Defaults to `client_credentials`, your `clientId` and `clientSecret`.
client_credentialsscope*
Default
app_management_v2
The Akoya service accessed by provided credentials.
app_management_v2
Responses
200
Token
Response
access_token
string
expires_in
integer
scope
string
token_type
string
404
Not Found
Try it
JavaScript
fetch
https://sandbox-sts.ddp.akoya.com/oauth2